org.apache.ode.il.dbutil

## Class InternalDB

- java.lang.Object
- - org.apache.ode.il.dbutil.Database
  - - org.apache.ode.il.dbutil.InternalDB

- Direct Known Subclasses:
    DerbyEmbeddedDB, H2EmbeddedDB

      public class InternalDB
      extends Database

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DatabaseConnectionManager` | `_connectionManager`
    `protected static int` | `CONNECTION_MAX_IDLE_MINUTES`
    `protected static int` | `CONNECTION_MAX_WAIT_MILLIS`

    - ### Fields inherited from class org.apache.ode.il.dbutil.Database

      `__log, __logSql, __msgs, _datasource, _odeConfig, _started, _txm, _workRoot`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalDB(OdeConfigProperties props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initDataSource()`
    `protected void` | `initInternalDb(java.lang.String url, java.lang.String driverClass, java.lang.String username, java.lang.String password)`
    `void` | `shutdown()`
    `protected void` | `shutdownDB()`
    `void` | `start()`

    - ### Methods inherited from class org.apache.ode.il.dbutil.Database

      `create, createDaoCF, getDataSource, setTransactionManager, setWorkRoot`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTION_MAX_WAIT_MILLIS

          protected static final int CONNECTION_MAX_WAIT_MILLIS

      See Also:
        Constant Field Values

    - #### CONNECTION_MAX_IDLE_MINUTES

          protected static final int CONNECTION_MAX_IDLE_MINUTES

      See Also:
        Constant Field Values

    - #### _connectionManager

          protected DatabaseConnectionManager _connectionManager

  - ### Constructor Detail

    - #### InternalDB

          public InternalDB(OdeConfigProperties props)

  - ### Method Detail

    - #### start

          public void start()
                     throws DatabaseConfigException

      Overrides:
        `start` in class `Database`
      Throws:
        `DatabaseConfigException`

    - #### shutdown

          public void shutdown()

      Overrides:
        `shutdown` in class `Database`

    - #### shutdownDB

          protected void shutdownDB()

    - #### initDataSource

          protected void initDataSource()
                                 throws DatabaseConfigException

      Specified by:
        `initDataSource` in class `Database`
      Throws:
        `DatabaseConfigException`

    - #### initInternalDb

          protected void initInternalDb(java.lang.String url,
                                        java.lang.String driverClass,
                                        java.lang.String username,
                                        java.lang.String password)
                                 throws DatabaseConfigException

      Throws:
        `DatabaseConfigException`